from trytond.model import ModelSQL, ModelView, fields
from trytond.pool import Pool, PoolMeta

class LCDocumentTypeProductProfile(ModelSQL):
    "LC Document Type - Product Profile"
    __name__ = 'lc.document.type-product.profile'
    doc_type = fields.Many2One('lc.document.type', 'Document Type')
    # product_profile = fields.Many2One('lc.product.profile', 'Product Profile')

class LCLetterDocumentType(ModelSQL):
    "LC Letter - Document Type"
    __name__ = 'lc.letter-document.type'
    lc_out = fields.Many2One('lc.letter.outgoing', 'LC out')
    lc_in = fields.Many2One('lc.letter.incoming', 'LC in')
    type = fields.Many2One('document.type', 'Document Type')
    sale = fields.Many2One('sale.sale', "Sale")
    purchase = fields.Many2One('purchase.purchase', "Purchase")

class ContractDocumentType(metaclass=PoolMeta):
    "Contract - Document Type"
    __name__ = 'contract.document.type'
    lc_out = fields.Many2One('lc.letter.outgoing', 'LC out')
    lc_in = fields.Many2One('lc.letter.incoming', 'LC in')

class LCTemplateCountry(ModelSQL):
    "LC Template - Country"
    __name__ = 'lc.template-country'
    template = fields.Many2One('lc.template', 'Template')
    country = fields.Many2One('country.country', 'Country')

class LCTemplateProduct(ModelSQL):
    "LC Template - Product"
    __name__ = 'lc.template-product'
    template = fields.Many2One('lc.template', 'Template')
    product = fields.Many2One('product.product', 'Product')

class LCDocType(ModelSQL,ModelView):
    "LC document - Type"
    __name__ = 'lc.document.type'
    name = fields.Char('Name')

class LCTemplate(ModelSQL):
    "LC template"
    __name__ = 'lc.template'
    name = fields.Char('Name')